<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Name: IHE Annotation Comment
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000">
   <title>IHE Annotation Comment</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]
Item: (ihe-AnnotationComment)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]"
         id="tmp-r-ecd87469-03de-4cb9-b9e6-7112c8478591">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@classCode)='ACT'">(ihe-AnnotationComment): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-AnnotationComment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&gt;=1 ">(ihe-AnnotationComment): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&lt;=1">(ihe-AnnotationComment): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&gt;=1 ">(ihe-AnnotationComment): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&lt;=1">(ihe-AnnotationComment): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ihe-AnnotationComment): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ihe-AnnotationComment): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ihe-AnnotationComment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:text)&lt;=1">(ihe-AnnotationComment): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ihe-AnnotationComment): element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']"
         id="tmp-r-cfd7d9b5-fb41-46ed-891c-a8da1a9bcd02">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.40'">(ihe-AnnotationComment): @root MOET de waarde '2.16.840.1.113883.10.20.1.40' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="tmp-r-5de08c6e-1e84-4dd3-95a5-1c269bcd6b96">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.4.2'">(ihe-AnnotationComment): @root MOET de waarde '1.3.6.1.4.1.19376.1.5.3.1.4.2' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-86bea66a-f051-4cbc-b441-8f9acbdbfeb0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(ihe-AnnotationComment): de elementwaarde MOET zijn code '48767-8' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text"
         id="tmp-r-fd238c87-c2c9-4d61-992b-25a6d3bc24e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(ihe-AnnotationComment): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:reference)&lt;=1">(ihe-AnnotationComment): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text/hl7:reference
Item: (ihe-AnnotationComment)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:statusCode
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:statusCode"
         id="tmp-r-34fd221e-53fa-4941-835f-2cb87396760b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="@nullFlavor or (@code='completed')">(ihe-AnnotationComment): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
</pattern>
