<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Name: VZVZ Batch antwoord
Description: Batch antwoord 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000">
   <title>VZVZ Batch antwoord</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /
Item: (batchAntwoord)
-->

   <rule context="/" id="tmp-r-beaaed68-8031-4a84-9c1d-cc6bb4917a57">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:MCCI_IN200101)&gt;=1 ">(batchAntwoord): element hl7:MCCI_IN200101 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:MCCI_IN200101)&lt;=1">(batchAntwoord): element hl7:MCCI_IN200101 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101"
         id="tmp-r-bb078fec-214d-4919-b961-2088f96de0c6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(batchAntwoord): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&lt;=1">(batchAntwoord): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(batchAntwoord): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:creationTime)&lt;=1">(batchAntwoord): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&gt;=1 and not(hl7:versionCode[@code='NICTIZEd2005-Okt']/@nullFlavor)">(batchAntwoord): element hl7:versionCode[@code='NICTIZEd2005-Okt'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&lt;=1">(batchAntwoord): element hl7:versionCode[@code='NICTIZEd2005-Okt'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(batchAntwoord): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(batchAntwoord): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(batchAntwoord): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(batchAntwoord): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:referenceControlId)=0">(batchAntwoord): element hl7:referenceControlId MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:name)=0">(batchAntwoord): element hl7:name MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:batchComment)=0">(batchAntwoord): element hl7:batchComment MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:transmissionQuantity)&gt;=1 and not(hl7:transmissionQuantity/@nullFlavor)">(batchAntwoord): element hl7:transmissionQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:transmissionQuantity)&lt;=1">(batchAntwoord): element hl7:transmissionQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:batchTotalNumber)=0">(batchAntwoord): element hl7:batchTotalNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:acknowledgement)&gt;=1 and not(hl7:acknowledgement/@nullFlavor)">(batchAntwoord): element hl7:acknowledgement is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:acknowledgement)&lt;=1">(batchAntwoord): element hl7:acknowledgement komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:receiver)&gt;=1 and not(hl7:receiver/@nullFlavor)">(batchAntwoord): element hl7:receiver is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:receiver)&lt;=1">(batchAntwoord): element hl7:receiver komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:sender)&gt;=1 and not(hl7:sender/@nullFlavor)">(batchAntwoord): element hl7:sender is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:sender)&lt;=1">(batchAntwoord): element hl7:sender komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:POLB_IN364001NL02|hl7:POOB_IN990003NL|hl7:PRPA_IN900350NL|hl7:QURX_IN990103NL02)"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:id
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:id"
         id="tmp-r-b878d445-7a2f-4774-8c98-19f017e814c6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="@root and @extension">(batchAntwoord): Transmission: id element mist root of extension</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:creationTime
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:creationTime"
         id="tmp-r-14285d1e-7b3c-43dc-9c44-543a1b0e3f46">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:versionCode[@code='NICTIZEd2005-Okt']
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:versionCode[@code='NICTIZEd2005-Okt']"
         id="tmp-r-d6058114-6512-46bd-9ca1-3d1b4d392f4d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(batchAntwoord): de elementwaarde MOET zijn code 'NICTIZEd2005-Okt'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-r-dece7713-d90d-42cc-abd3-aecc035f78b9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.1.6'">(batchAntwoord): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(batchAntwoord): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-r-6801e1e2-0d85-4ffd-955d-bb78c04b26d8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.1'">(batchAntwoord): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@extension)='810'">(batchAntwoord): de waarde van @extension MOET '810' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:referenceControlId
Item: (batchAntwoord)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:name
Item: (batchAntwoord)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:batchComment
Item: (batchAntwoord)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:transmissionQuantity
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:transmissionQuantity"
         id="tmp-r-d87f1bae-30c8-4708-9286-b9bde3a74935">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="$digitok or @nullFlavor">(batchAntwoord): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:batchTotalNumber
Item: (batchAntwoord)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:acknowledgement
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:acknowledgement"
         id="tmp-r-7b91635d-50e2-4b60-bb84-d00eece4f934">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@typeCode)='AA'">(batchAntwoord): de waarde van @typeCode MOET 'AA' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:targetTransmission)&gt;=1 and not(hl7:targetTransmission/@nullFlavor)">(batchAntwoord): element hl7:targetTransmission is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:targetTransmission)&lt;=1">(batchAntwoord): element hl7:targetTransmission komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:acknowledgement/hl7:targetTransmission
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:acknowledgement/hl7:targetTransmission"
         id="tmp-r-039bafbe-60be-4da2-9ae8-e381a4bac949">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(batchAntwoord): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&lt;=1">(batchAntwoord): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:acknowledgement/hl7:targetTransmission/hl7:id
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:acknowledgement/hl7:targetTransmission/hl7:id"
         id="tmp-r-d74a105e-c011-4254-8b82-6ce228e7112b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:receiver
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:receiver"
         id="tmp-r-a85e69b5-81f7-418e-8502-ea4b54eaadac">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@typeCode)='RCV' or not(@typeCode)">(batchAntwoord): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(batchAntwoord): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:device)&lt;=1">(batchAntwoord): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:receiver/hl7:device
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:receiver/hl7:device"
         id="tmp-r-e72f49a5-d528-4ec9-8bf5-78fada1361a8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(batchAntwoord): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&lt;=1">(batchAntwoord): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:name)&lt;=1">(batchAntwoord): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:receiver/hl7:device/hl7:id
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:receiver/hl7:device/hl7:id"
         id="tmp-r-17eedb87-0bba-4fd9-95b6-056281e655ec">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:receiver/hl7:device/hl7:name
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:receiver/hl7:device/hl7:name"
         id="tmp-r-79d87798-f59e-4d97-9130-900f341b7004">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:respondTo
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:respondTo"
         id="tmp-r-2ede5826-8c2c-4829-b3d2-141cdcd1c574">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@typeCode)='RSP' or not(@typeCode)">(batchAntwoord): de waarde van @typeCode MOET 'RSP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(batchAntwoord): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:device)&lt;=1">(batchAntwoord): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:respondTo/hl7:device
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:respondTo/hl7:device"
         id="tmp-r-53369bd0-19b3-4668-aa23-5aab39ff457e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(batchAntwoord): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id)&lt;=1">(batchAntwoord): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:name)&lt;=1">(batchAntwoord): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:respondTo/hl7:device/hl7:id
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:respondTo/hl7:device/hl7:id"
         id="tmp-r-e3427ebf-f49b-49bc-bbcf-0cea1f6ce341">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:respondTo/hl7:device/hl7:name
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:respondTo/hl7:device/hl7:name"
         id="tmp-r-ae809e40-1932-4b99-8fb2-15e3a4fa6b75">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:sender
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:sender"
         id="tmp-r-d679a50c-6ab8-40fa-8e10-ea25b04eee51">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@typeCode)='SND' or not(@typeCode)">(batchAntwoord): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(batchAntwoord): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:device)&lt;=1">(batchAntwoord): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:sender/hl7:device
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:sender/hl7:device"
         id="tmp-r-206c04a4-373e-437a-8cab-fa1f123cc1a9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(batchAntwoord): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(batchAntwoord): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="count(hl7:name)&lt;=1">(batchAntwoord): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-c126308c-a589-46e2-9e35-bf89474f2a3d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(batchAntwoord): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.4
Context: /hl7:MCCI_IN200101/hl7:sender/hl7:device/hl7:name
Item: (batchAntwoord)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:sender/hl7:device/hl7:name"
         id="tmp-r-c9d53449-f4ed-44bd-b843-078cd6513e33">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.4-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(batchAntwoord): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02
Item: (opleverenLabUitslagen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess"
         id="tmp-r-e8232b31-3a15-4586-9651-a3fd531d3b60">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]"
         id="tmp-r-6a37c03a-ca46-43bc-ba82-7c32be4f952c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&gt;=1 and not(hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/@nullFlavor)">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&lt;=1">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]"
         id="tmp-r-e53b95d2-8fbb-496a-9512-b54aa5300ebc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)='GROUPER'">(opleverenLabUitslagen): de waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenLabUitslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenLabUitslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-bc8707ce-b91b-48fc-9bc6-b1b55dbbe23c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.6'">(opleverenLabUitslagen): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.66.10.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-8d61375b-4753-427d-92b0-73732455f52b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenLabUitslagen): de elementwaarde MOET zijn code '26436-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:statusCode[@code='completed']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:statusCode[@code='completed']"
         id="tmp-r-bf6d0ca0-f7ab-44e5-93db-fa413b2f8aba">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenLabUitslagen): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget"
         id="tmp-r-dc537201-a8e5-491f-82d1-3f37b95bf0f2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)='RCT'">(opleverenLabUitslagen): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)='OP'">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenLabUitslagen): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenLabUitslagen): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient"
         id="tmp-r-361945bc-d5c0-46f9-a0b3-b73e86b62120">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)='PAT'">(opleverenLabUitslagen): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-0b3100dd-d3d3-4239-ace3-a26061f1190c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opleverenLabUitslagen): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]]
Item: (opleverenLabUitslagen)
-->
   <rule context="/hl7:MCCI_IN200101/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)='COMP'">(opleverenLabUitslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)='OP'">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:MCCI_IN200101/hl7:POOB_IN990003NL
Item: (opleverenAlgemeneUitslagen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:MCCI_IN200101/hl7:POOB_IN990003NL/hl7:ControlActProcess
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:POOB_IN990003NL/hl7:ControlActProcess"
         id="tmp-r-7472d2de-5ef9-4f7d-887d-2c075375f0b9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenAlgemeneUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:MCCI_IN200101/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]]
Item: (opleverenAlgemeneUitslagen)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:MCCI_IN200101/hl7:PRPA_IN900350NL
Item: (opleverenContactmomenten)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:MCCI_IN200101/hl7:PRPA_IN900350NL/hl7:ControlActProcess
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:PRPA_IN900350NL/hl7:ControlActProcess"
         id="tmp-r-606a117c-0e8e-44b8-90fd-0c0f65ee3daa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:MCCI_IN200101/hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.201']]]
Item: (opleverenContactmomenten)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02
Item: (opleverenVoorschriftenLijst)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess"
         id="tmp-r-ac1d77e9-f4a3-4245-87f4-a3d46f48319f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (opleverenVoorschriftenLijst)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="tmp-r-a2757586-160c-4f4a-9590-6b2b05247af7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@classCode)='LIST' or not(@classCode)">(opleverenVoorschriftenLijst): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(opleverenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(opleverenVoorschriftenLijst): element hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenVoorschriftenLijst): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-9286a30e-d92a-4573-a3e6-03edb7061220">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="@nullFlavor or (@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')">(opleverenVoorschriftenLijst): de elementwaarde MOET zijn code 'MEDLIST' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:recordTarget
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:recordTarget"
         id="tmp-r-bd0d0561-3961-44e1-a1e4-2e00df8e4212">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@typeCode)='RCT'">(opleverenVoorschriftenLijst): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@contextControlCode)='OP'">(opleverenVoorschriftenLijst): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenVoorschriftenLijst): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:recordTarget/hl7:patient
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:recordTarget/hl7:patient"
         id="tmp-r-15cbe602-2b2a-415d-ba46-17cdf8aab031">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@classCode)='PAT'">(opleverenVoorschriftenLijst): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenVoorschriftenLijst): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-9216a2a5-534f-4b78-b835-ce0834eb5f80">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opleverenVoorschriftenLijst): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.204']]]
Item: (opleverenVoorschriftenLijst)
-->
   <rule context="/hl7:MCCI_IN200101/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:MedicationPrescriptionList[hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.204']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(opleverenVoorschriftenLijst): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
