<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Name: VZVZ Opvragen Labuitslagen
Description: Opvragen Labuitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000">
   <title>VZVZ Opvragen Labuitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /
Item: (opvragenLabUitslagen)
-->

   <rule context="/" id="tmp-r-8e0072ac-6fc9-4674-b205-d2de83e9d5e1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:POLB_IN354001NL03)&gt;=1 ">(opvragenLabUitslagen): element hl7:POLB_IN354001NL03 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:POLB_IN354001NL03)&lt;=1">(opvragenLabUitslagen): element hl7:POLB_IN354001NL03 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03
Item: (opvragenLabUitslagen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess"
         id="tmp-r-f272f849-0261-4c80-9be8-ca26eeb182f9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opvragenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)">(opvragenLabUitslagen): element hl7:queryByParameter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:queryByParameter)&lt;=1">(opvragenLabUitslagen): element hl7:queryByParameter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-2afeb480-a271-4e63-a6b5-d0f481c0cfa0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenLabUitslagen): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenLabUitslagen): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenLabUitslagen): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenLabUitslagen): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenLabUitslagen): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenLabUitslagen): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenLabUitslagen): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenLabUitslagen): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenLabUitslagen): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenLabUitslagen): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:actMoodCode)&gt;=1 and not(hl7:actMoodCode/@nullFlavor)">(opvragenLabUitslagen): element hl7:actMoodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:actMoodCode)&lt;=1">(opvragenLabUitslagen): element hl7:actMoodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:observationEffectiveTime)&lt;=1">(opvragenLabUitslagen): element hl7:observationEffectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:observationType)&lt;=1">(opvragenLabUitslagen): element hl7:observationType komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenLabUitslagen): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenLabUitslagen): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:responseTemplateId)&gt;=1 and not(hl7:responseTemplateId/@nullFlavor)">(opvragenLabUitslagen): element hl7:responseTemplateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:responseTemplateId)&lt;=1">(opvragenLabUitslagen): element hl7:responseTemplateId komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId"
         id="tmp-r-5a878fb6-0b8c-491f-b872-91a3e8f22937">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']"
         id="tmp-r-184f2ad3-d562-4781-8b08-37ec891cbde6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenLabUitslagen): de elementwaarde MOET zijn code 'executing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='R']
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='R']"
         id="tmp-r-b262c81b-fe98-41ad-8b2b-f6e65a92f295">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenLabUitslagen): de elementwaarde MOET zijn code 'R'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-930728e1-7952-45f4-976b-06d3789688d5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenLabUitslagen): de elementwaarde MOET zijn code 'I'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime"
         id="tmp-r-bfd67b33-6767-4f76-ab14-acd2fa44a380">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode"
         id="tmp-r-77503fff-2a3b-4851-918f-10ded82e4a2b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&gt;=1 ">(opvragenLabUitslagen): element hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&lt;=1">(opvragenLabUitslagen): element hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor]
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor]"
         id="tmp-r-3f185240-9fbf-4994-a8e5-e9a332a5a8fe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="@nullFlavor or (@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001')">(opvragenLabUitslagen): de elementwaarde MOET zijn code 'EVN' codeSystem '2.16.840.1.113883.5.1001'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime"
         id="tmp-r-e6cbce36-693b-4fd2-92a9-85b63e6346bb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(opvragenLabUitslagen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value)&lt;=1">(opvragenLabUitslagen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value"
         id="tmp-r-be93a65d-8d59-4d45-becd-b4675461e42a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3')">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenLabUitslagen): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenLabUitslagen): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(opvragenLabUitslagen): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenLabUitslagen): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenLabUitslagen): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value/hl7:low
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value/hl7:low"
         id="tmp-r-6071c4a5-51c6-44db-a7ea-3693759dcaa9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value/hl7:high
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value/hl7:high"
         id="tmp-r-0d69def7-2b0a-409c-b2e6-48749e31b5a3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationType
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationType"
         id="tmp-r-9697efde-e00e-4cb0-8fb8-da5099b3934d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(opvragenLabUitslagen): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationType/hl7:value
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:observationType/hl7:value"
         id="tmp-r-9deaa425-cc47-4d00-9f34-55e4e6e4beb4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId"
         id="tmp-r-e1344d79-23bb-4c0b-9f7c-6d7ead84338e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opvragenLabUitslagen): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opvragenLabUitslagen): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-86c2378a-e341-47bb-8d01-c1dddc8f6235">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opvragenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId"
         id="tmp-r-6ff1d3bb-4be2-4376-b8e8-40d761a7749e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opvragenLabUitslagen): element hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opvragenLabUitslagen): element hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.5
Context: /hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opvragenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN354001NL03/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-693d5e2b-9e0d-4df4-bb58-d5cc9edbfde7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.6'">(opvragenLabUitslagen): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.66.10.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.5-2014-01-13T000000.html"
              test="not(@extension)">(opvragenLabUitslagen): attribute @extension MAG NIET voorkomen.</assert>
   </rule>
</pattern>
