<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Name: VZVZ Opleveren Labuitslagen
Description: Opleveren Labuitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000">
   <title>VZVZ Opleveren Labuitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /
Item: (opleverenLabUitslagen)
-->

   <rule context="/" id="tmp-r-f1da4d97-7837-40cc-8438-de5a7d5acf1c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&gt;=1 ">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&lt;=1">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02
Item: (opleverenLabUitslagen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess"
         id="tmp-r-6a687638-cfe6-4e73-b3ca-57f3f0eae0fe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]"
         id="tmp-r-3145ef06-fdb6-402d-8ab0-9687d05f41d2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&gt;=1 and not(hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/@nullFlavor)">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&lt;=1">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]"
         id="tmp-r-5263a93f-178a-4818-9041-95ab483de804">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)='GROUPER'">(opleverenLabUitslagen): de waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenLabUitslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenLabUitslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-2d8db2a6-f0ee-4886-99ce-ea3a96a2fe2c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.6'">(opleverenLabUitslagen): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.66.10.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7ceb8e38-3026-4c2b-a4be-9b30def7f0fe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenLabUitslagen): de elementwaarde MOET zijn code '26436-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:statusCode[@code='completed']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:statusCode[@code='completed']"
         id="tmp-r-8e3f73ba-b971-4b27-9222-39716d5c2091">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenLabUitslagen): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget"
         id="tmp-r-543fd973-556c-40ae-a931-9b13e5bf2e30">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)='RCT'">(opleverenLabUitslagen): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)='OP'">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenLabUitslagen): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenLabUitslagen): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient"
         id="tmp-r-ebd6f5a6-1ecc-410a-a9e4-7804a9e04ea3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)='PAT'">(opleverenLabUitslagen): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-1ee9f525-9e23-4739-baad-f54eb5b3cd55">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opleverenLabUitslagen): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]]
Item: (opleverenLabUitslagen)
-->
   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]]/hl7:observationReport[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)='COMP'">(opleverenLabUitslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)='OP'">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
