<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.1
Name: VZVZ Verwijzing Huisarts Zorggroep
Description: Verwijzing Huisarts Zorggroep 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.1-2014-01-13T000000">
   <title>VZVZ Verwijzing Huisarts Zorggroep</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.1
Context: /
Item: (verwijzingHuisartsZorggroep)
-->

   <rule context="/" id="tmp-r-f92031b1-eff9-4219-818f-798486f36534">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.1-2014-01-13T000000.html"
              test="count(hl7:ZTKZ_IN000001NL)&gt;=1 ">(verwijzingHuisartsZorggroep): element hl7:ZTKZ_IN000001NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.1-2014-01-13T000000.html"
              test="count(hl7:ZTKZ_IN000001NL)&lt;=1">(verwijzingHuisartsZorggroep): element hl7:ZTKZ_IN000001NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.1
Context: /hl7:ZTKZ_IN000001NL
Item: (verwijzingHuisartsZorggroep)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.1
Context: /hl7:ZTKZ_IN000001NL/hl7:ControlActProcess
Item: (verwijzingHuisartsZorggroep)
-->

   <rule context="/hl7:ZTKZ_IN000001NL/hl7:ControlActProcess"
         id="tmp-r-cbc16167-c0ed-40ef-aa06-ce77bed3f456">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140708T155924/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.1-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(verwijzingHuisartsZorggroep): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.1
Context: /hl7:ZTKZ_IN000001NL/hl7:ControlActProcess/hl7:subject[hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.50' or @root='2.16.840.1.113883.2.4.6.10.100001']]]
Item: (verwijzingHuisartsZorggroep)
--></pattern>
